package ca.thetechrobo.fbl;

import org.bukkit.entity.Player;
import org.bukkit.scheduler.BukkitRunnable;

import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.TextComponent;
import net.kyori.adventure.text.format.TextColor;

public class CountdownTimer extends BukkitRunnable {
	private int elapsedSeconds;
	private int seconds;
	private Player player;
	private PlayerTookDamage runner;

	public CountdownTimer(int seconds, Player p, PlayerTookDamage runner) {
		this.elapsedSeconds = 0;
		this.player = p;
		this.seconds = seconds;
		this.runner = runner;
	}

	public Player getPlayer() {
		return this.player;
	}

	@Override
	public void run() {
		if (this.elapsedSeconds <= this.seconds) {
			TextComponent comp = Component
					.text("Battle Log Protection: " + (this.seconds - this.elapsedSeconds + "s remaining"))
					.color(TextColor.color(155, 105, 165));
			this.player.sendActionBar(comp);
			this.elapsedSeconds++;
		} else {
			this.player.sendActionBar(Component.text(""));
			this.runner.removeMe(this);
			this.cancel();
		}
	}
}
